<template>
  <div class="card mt-2">
    <div class="card-header">
      <h4 class="">List Movie Details <small class="text-xs float-end"><strong>Total Movie: {{ movieStore.totalMovies }}</strong></small></h4>
    </div>
    <div class="card-body" v-if="movieStore.isLoading == true">
      <p class="text-center text-bold">Loading...</p>
    </div>
    <div class="card-body" v-else>
      <div class="row">
        <select name="" id="" v-model="movieStore.year" class="form-select mb-2">
          <option value="1990">1990</option>
          <option value="1991">1991</option>
          <option value="1994">1994</option>
          <option value="1995">1995</option>
          <option value="2010">2010</option>
          <option value="2011">2011</option>
          <option value="2012">2012</option>
          <option value="">All</option>
        </select>
        <MovieCard v-for="item in movieStore.filterMovies" :key="item.id" :movie="item" />
      </div>
    </div>
  </div>
</template>

<script setup>
import MovieCard from "../components/MovieCard.vue";
import { onMounted } from "vue";
import { useMoviesStore } from '@/stores/movies.js'

const movieStore = useMoviesStore();
onMounted(()=>{
  movieStore.getMovies();
})
// const movieList = ref([]);
// const isLoading = ref(true);
// onMounted(async () => {
//   const result = await fetch("http://localhost:8080/movies")
//   const response = await result.json()
//   movieList.value = response;
//   isLoading.value = false;
// })
</script>

<style lang="scss" scoped></style>